<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/12/2004 *
 * ===================                          Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_rewrite.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Rewrite-Engine configuration                     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Rewrite-Engine Konfiguration                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent()) {
	// Generate string
	$MODs = array();
	foreach (postRequestParameter('mod') as $mod => $sel) {
		// Now you can never deselect the admin module, bah!!! ;-)
		if (($sel == 'Y') || ($mod == 'admin')) {
			// Add module to queue
			$MODs[] = $mod;
		}
	}

	// Implode array to string and remove posted mod array
	setPostRequestParameter('rewrite_skip', implode(':', $MODs));
	unsetPostRequestParameter('mod');

	// Save settings
	adminSaveSettingsFromPostData();
} else {
	// Load existing modules and generate TR rows for the template
	$result = SQL_QUERY("SELECT module, title FROM `{?_MYSQL_PREFIX?}_mod_reg` ORDER BY module", __FILE__, __LINE__);
	$OUT = ''; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		// Set title to three dashes when no title is supplied
		if (empty($content['title'])) $content['title'] = '---';

		// Already registered module?
		if (ereg($content['module'], getConfig('rewrite_skip'))) {
			// Found
			$y = ' checked="checked"';
			$n = '';
		} else {
			// Not found
			$y = '';
			$n = ' checked="checked"';
		}

		// Remember data in array for the dynamic row template
		$content['y_default'] = $y;
		$content['n_default'] = $n;
		$content['sw']        = $SW;

		// Load template and switch colors
		$OUT .= loadTemplate('admin_config_rewrite_rows', true, $content);
		$SW = 3 - $SW;
	}

	// Free memory
	SQL_FREERESULT($result);

	// Load main template
	loadTemplate('admin_config_rewrite', false, $OUT);
}

// [EOF]
?>
